package eu.dnetlib.openaire.context;

import java.io.IOException;

import org.springframework.http.HttpStatus;
import org.springframework.web.bind.annotation.ResponseBody;
import org.springframework.web.bind.annotation.ResponseStatus;

@ResponseBody
@ResponseStatus(value = HttpStatus.INTERNAL_SERVER_ERROR)
public class ContextException extends Exception {

	/**
	 *
	 */
	private static final long serialVersionUID = -5489369676370127052L;

	public ContextException(final String message) {
		super(message);
	}

	public ContextException(final IOException e) {
		super(e);
	}
}
